/* This file is part of the KDE project
   Copyright (C) 2008 Omat Holding B.V. <info@omat.nl>

   This program is free software; you can redistribute it and/or
   modify it under the terms of the GNU General Public
   License as published by the Free Software Foundation; either
   version 2 of the License, or (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
   General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
*/

#include "mailody_plugin.h"

#include <../src/mailodypart.h>

#include <KontactInterface/Core>
#include <KontactInterface/Plugin>

#include <kactioncollection.h>
#include <kgenericfactory.h>
#include <kicon.h>
#include <kparts/componentfactory.h>

EXPORT_KONTACT_PLUGIN( MailodyPlugin, mailody )

MailodyPlugin::MailodyPlugin( KontactInterface::Core *core, const QVariantList & )
  : KontactInterface::Plugin( core, core, "Mailody" )
{
  setComponentData( KontactPluginFactory::componentData() );
}

MailodyPlugin::~MailodyPlugin()
{
}

KParts::ReadOnlyPart *MailodyPlugin::createPart()
{
  KParts::ReadOnlyPart *part = loadPart();

  connect( part, SIGNAL(showPart()), this, SLOT(showPart()) );

  return part;
}

void MailodyPlugin::readProperties( const KConfigGroup& )
{
}

void MailodyPlugin::saveProperties( KConfigGroup& )
{
}

void MailodyPlugin::showPart()
{
  core()->selectPlugin( this );
}


#include "mailody_plugin.moc"
