/*
 * mailodymailviewer.h
 *
 * Copyright (C) 2008 Omat Holding B.V. <info@omat.nl>
 */
#ifndef MAILODYMAILVIEWER_H
#define MAILODYMAILVIEWER_H


#include <kxmlguiwindow.h>

class MailodyMailViewerView;
class QPrinter;
class KToggleAction;
class KUrl;

/**
 * This class serves as the main window for MailodyMailViewer.  It handles the
 * menus, toolbars, and status bars.
 *
 * @short Main window class
 * @author Omat Holding B.V. <info@omat.nl>
 * @version 0.1
 */
class MailodyMailViewer : public KXmlGuiWindow
{
    Q_OBJECT
public:
    /**
     * Default Constructor
     */
    MailodyMailViewer();

    /**
     * Default Destructor
     */
    virtual ~MailodyMailViewer();

    /**
     * Opens a file
     */
    void openFile( const QString& filename );

private slots:
    void fileNew();

private:
    void setupActions();

private:
    MailodyMailViewerView *m_view;

    QPrinter   *m_printer;
    KToggleAction *m_toolbarAction;
    KToggleAction *m_statusbarAction;
};

#endif // _MAILODYMAILVIEWER_H_
