/*
 * mailodymailviewerview.h
 *
 * Copyright (C) 2007 Omat Holding B.V. <info@omat.nl>
 */
#ifndef MAILODYMAILVIEWERVIEW_H
#define MAILODYMAILVIEWERVIEW_H

#include <QtGui/QWidget>

#include "../src/messagewidget.h"
#include "../src/messagedata.h"

class QPainter;
class KUrl;

/**
 * This is the main view class for MailodyMailViewer.  Most of the non-menu,
 * non-toolbar, and non-statusbar (e.g., non frame) GUI code should go
 * here.
 *
 * @short Main view
 * @author Omat Holding B.V. <info@omat.nl>
 * @version 0.1
 */
class MailodyMailViewerView : public QWidget
{
    Q_OBJECT
public:
    /**
     * Default constructor
     */
    MailodyMailViewerView( QWidget *parent );

    /**
     * Destructor
     */
    virtual ~MailodyMailViewerView();

    /**
     * See a msg.
     */
    void setMsg( Mailody::MessageData* );

private:
    Mailody::MessageWidget* m_messageView;
};

#endif // MailodyMailViewerVIEW_H
