#include "mailodymailviewer.h"
#include <kapplication.h>
#include <kaboutdata.h>
#include <kcmdlineargs.h>
#include <KDE/KLocale>
#include <KDE/KDebug>

static const char description[] =
    I18N_NOOP( "A simple Mail Viewer" );

static const char version[] = "0.1";

int main( int argc, char **argv )
{
    KAboutData about( "mailodymailviewer", 0, ki18n( "MailodyMailViewer" ), version, ki18n( description ),
                      KAboutData::License_GPL, ki18n( "(C) 2007 Omat Holding B.V." ), KLocalizedString(), 0, "info@omat.nl" );
    about.addAuthor( ki18n( "Omat Holding B.V." ), KLocalizedString(), "info@omat.nl" );
    KCmdLineArgs::init( argc, argv, &about );

    KCmdLineOptions options;
    options.add( "+[URL]", ki18n( "Document to open" ) );
    KCmdLineArgs::addCmdLineOptions( options );
    KApplication app;

    MailodyMailViewer *widget = new MailodyMailViewer;

    // see if we are starting with session management
    if ( app.isSessionRestored() ) {
        RESTORE( MailodyMailViewer );
    } else {
        // no session.. just start up normally
        KCmdLineArgs *args = KCmdLineArgs::parsedArgs();
        if ( args->count() == 0 ) {
            widget->show();
        } else {
            int i = 0;
            for ( ; i < args->count(); i++ ) {
                kDebug() << args->arg( i );
                widget->openFile( args->arg( i ) );
                widget->show();
            }
        }
        args->clear();
    }

    return app.exec();
}
