/*
   Copyright (C) 2009 Omat Holding B.V. <info@omat.nl>
   Copyright (C) 2008 Thomas McGuire <thomas.mcguire@gmx.net>

   This library is free software; you can redistribute it and/or modify it
   under the terms of the GNU Library General Public License as published by
   the Free Software Foundation; either version 2 of the License, or (at your
   option) any later version.

   This library is distributed in the hope that it will be useful, but WITHOUT
   ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
   FITNESS FOR A PARTICULAR PURPOSE.  See the GNU Library General Public
   License for more details.

   You should have received a copy of the GNU Library General Public License
   along with this library; see the file COPYING.LIB.  If not, write to the
   Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA
   02110-1301, USA.
*/

#ifndef COLLECTIONDELEGATE_H
#define COLLECTIONDELEGATE_H

#include <QStyledItemDelegate>

#include <akonadi/entitytreemodel.h>
#include <akonadi/entitytreeview.h>

namespace Mailody
{

/**
 * @class CollectionDelegate
 * This class paints the collection list slightly different
 * considering the unread count of a collection.
 *
 * Based on code from the CollectionStatisticsDelegate from
 * Thomas McGuire.
 *
 * @author Tom Albers <tomalbers@kde.nl>
 */
class CollectionDelegate : public QStyledItemDelegate
{
public:
    /**
     * Constructor
     * @param parent The parent.
     */
    CollectionDelegate( Akonadi::EntityTreeView* parent );

protected:
    void initStyleOption( QStyleOptionViewItem*, const QModelIndex & ) const;

    /** Reimplemented to draw it differently **/
    virtual void paint( QPainter*, const QStyleOptionViewItem&,
                        const QModelIndex& ) const;

private:
    Akonadi::EntityTreeView* m_etv;
};

}

#endif
