/*
   Copyright (C) 2009 Omat Holding B.V. <info@omat.nl>

   This program is free software; you can redistribute it and/or
   modify it under the terms of the GNU General Public
   License as published by the Free Software Foundation; either
   version 2 of the License, or (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
   General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
*/

#ifndef CONTACTTOOLTIPPROXYMODEL_H
#define CONTACTTOOLTIPPROXYMODEL_H

//Qt
#include <QtGui/QSortFilterProxyModel>

//KDE
#include <akonadi/entitytreemodel.h>
#include <akonadi/contact/contactviewerdialog.h>
#include <akonadi/contact/contactgroupviewerdialog.h>
#include <kmime/kmime_header_parsing.h>

namespace Mailody
{

class ContactToolTipProxyModel : public QSortFilterProxyModel
{
    Q_OBJECT

public:
    explicit ContactToolTipProxyModel( QObject* );
    ~ContactToolTipProxyModel();
    virtual QVariant data( const QModelIndex&, int = Qt::DisplayRole ) const;

private slots:
    void slotMailClicked( const QString&, const QString& );

signals:
    void mailClicked( const QString& );

private:
    Akonadi::ContactViewerDialog *m_contactViewer;
    Akonadi::ContactGroupViewerDialog *m_contactGroupViewer;
};

}

#endif
