/*
   Copyright (C) 2009 Omat Holding B.V. <info@omat.nl>

   This program is free software; you can redistribute it and/or
   modify it under the terms of the GNU General Public
   License as published by the Free Software Foundation; either
   version 2 of the License, or (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
   General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
*/


#ifndef CONTACTTREEMODEL_H
#define CONTACTTREEMODEL_H

#include <QTreeView>
#include <KDialog>
#include <akonadi/changerecorder.h>
#include <akonadi/entitytreemodel.h>
#include <akonadi/contact/contactviewerdialog.h>

namespace Mailody
{

/**
 * This proxy will turn the item of the entitytreemodel into a proper name
 * and email address instead of listing it as 'abc.vcf'
 */
class ContactTreeModel : public Akonadi::EntityTreeModel
{
public:
    enum Role { AddressRole = EntityTreeModel::UserRole+1,
                UserRole    = EntityTreeModel::UserRole+1000
              };
    ContactTreeModel( Akonadi::ChangeRecorder*, QObject* );

protected:
    virtual QVariant data( const QModelIndex &index, int role=Qt::DisplayRole ) const;
    virtual Qt::ItemFlags flags( const QModelIndex & index ) const;
};

}
#endif
