/*
 * Copyright (C) 2009 Omat Holding B.V. <info@omat.nl>
 */

#include "imagemodel.h"
#include "akonadi/itemmodel.h"
#include "akonadi/collection.h"
#include "akonadi/collectionstatistics.h"

#include <QPixmap>
#include <KUrl>

using namespace Akonadi;

ImageModel::ImageModel( QObject* parent )
        : Akonadi::ItemModel( parent )
{
}

QVariant ImageModel::data( const QModelIndex & index, int role ) const
{
    if ( role == Qt::DecorationRole ) {
        const Item item = itemForIndex( index );
        const QPixmap pixmap = item.payload<QPixmap>();
        return pixmap;
    } else if ( role == Qt::DisplayRole ) {
        const Item item = itemForIndex( index );
        const KUrl url( item.remoteId() );
        return url.fileName();
    } else
        return ItemModel::data( index, role );
}

#include "imagemodel.moc"
