/*
   Copyright (C) 2007 Omat Holding B.V. <info@omat.nl>

   This program is free software; you can redistribute it and/or
   modify it under the terms of the GNU General Public
   License as published by the Free Software Foundation; either
   version 2 of the License, or (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
   General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
*/

#include "searchline.h"
#include "headerproxy.h"

#include <QTimer>

#include <kfilterproxysearchline.h>
#include <KColorScheme>
#include <KDebug>
#include <KLineEdit>

using namespace Mailody;

SearchLine::SearchLine( QWidget* parent )
        : KFilterProxySearchLine( parent )
{
}

SearchLine::~SearchLine()
{
}

void SearchLine::flash()
{
    if ( lineEdit()->text().isEmpty() )
        return;

    QPalette normal;
    normal.setColor( QPalette::Normal, QPalette::Base,
                     KColorScheme( QPalette::Active, KColorScheme::Selection ).background().color() );
    normal.setColor( QPalette::Normal, QPalette::Text,
                     KColorScheme( QPalette::Active, KColorScheme::Selection ).foreground().color() );
    lineEdit()->setPalette( normal );

    QTimer::singleShot( 500, this, SLOT( slotFlashDone() ) );
}

void SearchLine::slotFlashDone()
{
    QPalette normal;
    normal.setColor( QPalette::Normal, QPalette::Base,
                     KColorScheme( QPalette::Active, KColorScheme::View ).background().color() );
    normal.setColor( QPalette::Normal, QPalette::Text,
                     KColorScheme( QPalette::Active, KColorScheme::View ).foreground().color() );
    lineEdit()->setPalette( normal );
}

#include "searchline.moc"
